table
Author: Peter G. Baum (peter@dr-baum.net)
Keywords: gnocl, Tcl, gtk, gnome

## NAME

table - Create and manipulate a table widget

## SYNOPSIS

table ?-option optionVal ...?

## OPTIONS

-homogeneous
  Determines, if all rows and columns should have the same height, width respectively.
  type: boolean
  default: true

-rows
  Numbers of rows on creation.
  type: integer
  default: 3

-columns
  Numbers of columns on creation.
  type: integer
  default: 3

-label
  label of the frame
  type: string
  default: ""

-shadow
  type of shadow of the frame
  type: none, in, out, etchedIn, etchedOut
  default: none

-xAlign
  alignement of label
  type: double (0 <= xAlign <= 1)
  default: 0

## DESCRIPTION

A table widget is a container widget, which packs its children in rows and columns. If necessary gtk alignment widgets are used when adding children.

## WIDGET COMMANDS

The table command creates a new Tcl command whose name is an ID returned on widget creation. This command may be used to invoke various operations on the widget. It has the following general form:
ID option ?arg arg ...?
option and arg determine the exact behavior of the command. The following commands are possible for table widgets:

ID add widget-id column row ?-option optionVal ...?
  Adds widget-id at row and column to the table. Valid options are -rowSpan, -columnSpan, -expand, -shrink, -fill, -padding, -align, and -scale. All but the first to options can consist either of a list of two values for the horizontal and vertical value or of one value in which case horizontal and vertical is set to the same value.

ID addRow widget-list ?-option optionVal ...?
  Same options as add plus -start

ID addColumn widget-list ?-option optionVal ...?
  Same options as addRow

## KEYWORDS

Copyright © 2001 - 2002 P. G. Baum